[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# TPropInfoList.Create

Create a new instance of TPropInfoList

## Declaration

Source position: rttiutils.pp line 50

`public constructor TPropInfoList.Create(`
`AObject: TObject;`
`Filter: TTypeKinds`
`);`

## Arguments

`AObject` |  | Object whose properties should be listed
`Filter` |  | Filter on the kind of properties to retrieve

## Description

Create allocates and initializes a new instance of TPropInfoList on the heap. It retrieves a list of published properties from AObject: if Filter is empty, then all properties are retrieved. If it is not empty, then only properties of the kind specified in the set are retrieved. Instance should not be Nil

## See also

Destroy |  | Remove the TPropInfoList instance from memory

Documentation generated on: Feb 26 2014